Skip to main content
GET
/
organizations
/
{organization}
/
databases
/
{database}
/
read-only-regions
List read-only regions
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/read-only-regions \
  --header 'Authorization: Bearer <token>'
{
  "current_page": 123,
  "next_page": 123,
  "next_page_url": "<string>",
  "prev_page": 123,
  "prev_page_url": "<string>",
  "data": [
    {
      "id": "<string>",
      "display_name": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "ready_at": "<string>",
      "ready": true,
      "actor": {
        "id": "<string>",
        "display_name": "<string>",
        "avatar_url": "<string>"
      },
      "region": {
        "id": "<string>",
        "provider": "<string>",
        "enabled": true,
        "public_ip_addresses": [
          "<string>"
        ],
        "display_name": "<string>",
        "location": "<string>",
        "slug": "<string>",
        "current_default": true
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

Query Parameters

page
integer
default:1

If provided, specifies the page offset of returned results

per_page
integer
default:25

If provided, specifies the number of returned results

Response

List of the database's read-only regions

current_page
integer
required

The current page number

next_page
integer
required

The next page number

next_page_url
string
required

The next page of results

prev_page
integer
required

The previous page number

prev_page_url
string
required

The previous page of results

data
object[]
required